Rebase for LLVM 5.0.1

How to install

sudo dnf upgrade --advisory=FEDORA-2018-884ee4cdf4

This update has been submitted for testing by tstellar.

3 years ago

This update has been pushed to testing.

3 years ago
User Icon pwalter commented & provided feedback 3 years ago
karma

Works

User Icon nerijus commented & provided feedback 3 years ago
karma

It seems compiler-rt-5.0.1-2.fc27 is not available for i686: dnf: Problem 2: compiler-rt-5.0.0-1.fc27.i686 has inferior architecture - cannot install both compiler-rt-5.0.1-2.fc27.x86_64 and compiler-rt-5.0.0-1.fc27.x86_64 - cannot install both compiler-rt-5.0.0-1.fc27.x86_64 and compiler-rt-5.0.1-2.fc27.x86_64 - cannot install the best update candidate for package compiler-rt-5.0.0-1.fc27.i686 - cannot install the best update candidate for package compiler-rt-5.0.0-1.fc27.x86_64 yum: Protected multilib versions: compiler-rt-5.0.1-2.fc27.x86_64 != compiler-rt-5.0.0-1.fc27.i686

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

3 years ago

This is the same issue as: https://bugzilla.redhat.com/show_bug.cgi?id=1514446 I'm still not sure exactly why this is happening.

There is a better description of the problem in https://bugzilla.redhat.com/show_bug.cgi?id=1513286

I just did yumdownloader compiler-rt - it downloaded compiler-rt-5.0.0-1.fc27.i686.rpm and compiler-rt-5.0.1-2.fc27.x86_64.rpm. Just push a newer i686 version too. BTW, it should be easy to test on 32 bit Fedora - if there is a newer compiler-rt there, then it means a newer i686 package is not available in 64 bit repo.

User Icon omajid commented & provided feedback 3 years ago
karma

Works for me.

User Icon nb commented & provided feedback 3 years ago
karma

wfm

User Icon greg18 commented & provided feedback 3 years ago
karma

works for me

User Icon cserpentis commented & provided feedback 3 years ago
karma

works for me

User Icon cairo provided feedback 3 years ago
karma

this un-breaks "clang -fsanitize=address" which was broken by today's "dnf update" because that installed a "compiler-rt 5.0.0" rpm without updating clang too

User Icon mstahl provided feedback 3 years ago
karma

This update has been submitted for batched by tstellar.

3 years ago

This update has been submitted for stable by tstellar.

3 years ago
User Icon proski provided feedback 3 years ago
karma

This update has been pushed to stable.

3 years ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
7
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
BZ#1518384 __declspec(selectany) is broken in clang 5.0
0
0

Automated Test Results

Test Cases

0 0 Test Case lldb script